Bug 518473

Summary: Review Request: odf-converter-integrator - Convert Office 2007 (OOXML) files for OpenOffice.org
Product: [Fedora] Fedora Reporter: Adam Stokes <astokes>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: adel.gadllah, fedora-package-review, lemenkov, notting, pahan
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-01 22:28:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Adam Stokes 2009-08-20 10:38:09 EDT
Spec URL: <http://astokes.fedorapeople.org/odf-converter-integrator/odf-converter-integrator.spec
SRPM URL: http://astokes.fedorapeople.org/odf-converter-integrator/odf-converter-integrator-0.2.3-1.src.rpm
Description:
A utility to convert Microsoft Office 2007 (Office Open XML) files and
automatically start OpenOffice.org. Registers file types and mime
types such as .docx, .xlsx, and .pptx so that Nautilus, Firefox, and 
other programs automatically recognize them.
Comment 1 Adam Stokes 2009-08-20 10:40:44 EDT
Please note I also need EPEL branches created for at least 5

Thank you,
Adam Stokes
Comment 2 Peter Lemenkov 2009-08-23 01:38:42 EDT
Please, do not raise fedora-review flag by yourself - it would be done by the Reviewer of your package.
Comment 3 Adel Gadllah 2009-08-23 03:12:33 EDT
(In reply to comment #0)
> Spec URL:
> <http://astokes.fedorapeople.org/odf-converter-integrator/odf-converter-integrator.spec
> SRPM URL:
> http://astokes.fedorapeople.org/odf-converter-integrator/odf-converter-integrator-0.2.3-1.src.rpm
> Description:
> A utility to convert Microsoft Office 2007 (Office Open XML) files and
> automatically start OpenOffice.org. Registers file types and mime
> types such as .docx, .xlsx, and .pptx so that Nautilus, Firefox, and 
> other programs automatically recognize them.  

Two things:

1) Current open office (3.x) can already open Office Open XML Files
2) What is more important: /usr/bin/OdfConverter is only shipped as a binary, ie there is no source in the tarball but just the pre build binary.
Comment 4 Peter Lemenkov 2009-08-23 04:35:15 EDT
(In reply to comment #3)

> 2) What is more important: /usr/bin/OdfConverter is only shipped as a binary,
> ie there is no source in the tarball but just the pre build binary.  

Good catch!

Where is the source code, Adam? I cannot find it even on SF.
Comment 5 Adel Gadllah 2009-08-23 09:08:02 EDT
(In reply to comment #4)
> (In reply to comment #3)
> 
> > 2) What is more important: /usr/bin/OdfConverter is only shipped as a binary,
> > ie there is no source in the tarball but just the pre build binary.  
> 
> Good catch!
> 
> Where is the source code, Adam? I cannot find it even on SF.  

I did some research and it seems that OdfConverter is a separate project hosted here: http://odf-converter.sourceforge.net/

The command line tool should probably  be packaged as a separate package and make the odf-convertor-integrator depend on it.
Comment 6 Rakesh Pandit 2010-01-08 03:02:22 EST
Hi Adam,

There has been no response for long. May you answer comment #4 and comment #5 soon ?

Thanks,
Comment 7 Adam Stokes 2010-01-11 10:39:06 EST
Hi Rakesh,

If odf-converter is a separate project then yes we should package as a separate package.

Thanks,
Adam
Comment 8 Rakesh Pandit 2010-01-12 03:10:22 EST
(In reply to comment #7)
> Hi Rakesh,
> 
> If odf-converter is a separate project then yes we should package as a separate
> package.
> 

So, you should package it and post a review. Make the review as dependency for this review. Moreover I am not able to search you in FAS. In case you are not sponsored yet, make source to added FE-NEEDSPONSOR dependency to this review.

For details check:
http://fedoraproject.org/wiki/PackageMaintainers/Join

Thanks,
Comment 9 Jason Tibbitts 2010-11-01 22:28:55 EDT
Well, it's been many months since the last comment, and I don't see that any review ticket was ever opened for odf-converter.  Since there's effectively nothing to review here, I'm just going to close this ticket.